/*
 8 LEDs Fading for Uno1284P
 
 This example shows how to fade 8 LEDs using the analogWrite() function.
 
 The circuit:
 * 8 LEDs attached from digital pin 3, 5, 6, 9, 10, 11, 12 and 13 to ground, then SW1 and SW2 set to PWM side.
 * ja: ８つの LED をデジタル 3/5/6/9/10/11/12/13 番ピンに接続し、SW1/SW2 を PWM 側に切り替えて下さい。
 
 Created 1 Nov 2008
 By David A. Mellis
 modified 30 Aug 2011
 By Tom Igoe
 
 http://arduino.cc/en/Tutorial/Fading
 
 modified for Uno1284P 31/jan/2013 by I.Kato @ BS21 Lab

 This example code is in the public domain.
 
 */

#include <Arduino.h>
#include <PWM_pins.h>

void setup()  {
  // nothing happens in setup 
}

void loop()  {
  // fade in from min to max in increments of 5 points:
  for(int fadeValue = 0 ; fadeValue <= 255; fadeValue +=5) {
    // sets the value (range from 0 to 255):
    analogWrite(PWM3,  fadeValue);
    analogWrite(PWM5,  fadeValue);
    analogWrite(PWM6,  fadeValue);
    analogWrite(PWM9,  fadeValue);
    analogWrite(PWM10, fadeValue);
    analogWrite(PWM11, fadeValue);
    analogWrite(PWM12, fadeValue);
    analogWrite(PWM13, fadeValue);
    // wait for 30 milliseconds to see the dimming effect
    delay(30);
  } 

  // fade out from max to min in increments of 5 points:
  for(int fadeValue = 255 ; fadeValue >= 0; fadeValue -=5) {
    // sets the value (range from 0 to 255):
    analogWrite(PWM3,  fadeValue);
    analogWrite(PWM5,  fadeValue);
    analogWrite(PWM6,  fadeValue);
    analogWrite(PWM9,  fadeValue);
    analogWrite(PWM10, fadeValue);
    analogWrite(PWM11, fadeValue);
    analogWrite(PWM12, fadeValue);
    analogWrite(PWM13, fadeValue);
    // wait for 30 milliseconds to see the dimming effect
    delay(30);
  }
}


