/*
  Uno1284P - HighProgMem Test

  本スケッチは HIGH_PROGMEM を使用するスケッチ例です。

  created 31/jan/2013 by I.Kato @ BS21 Lab

  This code is in the public domain.
*/

PROGMEM      const char str1 [32500] = "abcdefg1"; // フラッシュメモリ前半 64kB 内に配置
PROGMEM      const char str2 [32500] = "abcdefg2"; // 同上
HIGH_PROGMEM const char str3 [32500] = "abcdefg3"; // フラッシュメモリ後半 64kB 内に配置

char buff [10000]; // SRAM 上に 10000バイト確保する

// 初期化関数
void setup()
{
  char ch;

  memcpy_P ( &ch, str1, 1 ); // コンパイル時の最適化で str1 が消えてしまわない為の対策
  memcpy_P ( &ch, str2, 1 ); // コンパイル時の最適化で str2 が消えてしまわない為の対策

  UseHighProgMem(); // HIGH_PROGMEM 使用時は必須です。
  ch = pgm_read_byte_hi ( &str3[3] ); // HIGH_PROGMEM 領域から１バイト読み出す。この場合は 'd' の文字。
  memcpy_PH ( buff, str3, sizeof(buff) ); // HIGH_PROGMEM 領域から、SRAM 上の buff に 10000 バイト分、コピーします。
}

// ループ関数
void loop()
{
  // 特に何もしない
}

